package com.ruoyi.iit.mapper;

import java.util.List;
import com.ruoyi.iit.domain.IitFileInfo;

/**
 * 文件管理Mapper接口
 *
 * @author Hao Li
 * @date 2025-04-11
 */
public interface IitFileInfoMapper
{
    /**
     * 查询文件管理
     *
     * @param id 文件管理主键
     * @return 文件管理
     */
    public IitFileInfo selectIitFileInfoById(Long id);

    /**
     * 查询文件管理列表
     *
     * @param iitFileInfo 文件管理
     * @return 文件管理集合
     */
    public List<IitFileInfo> selectIitFileInfoList(IitFileInfo iitFileInfo);

    /**
     * 新增文件管理
     *
     * @param iitFileInfo 文件管理
     * @return 结果
     */
    public int insertIitFileInfo(IitFileInfo iitFileInfo);

    /**
     * 修改文件管理
     *
     * @param iitFileInfo 文件管理
     * @return 结果
     */
    public int updateIitFileInfo(IitFileInfo iitFileInfo);

    /**
     * 删除文件管理
     *
     * @param id 文件管理主键
     * @return 结果
     */
    public int deleteIitFileInfoById(Long id);

    /**
     * 批量删除文件管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIitFileInfoByIds(Long[] ids);

    /**
     * 更新推送次数
     *
     * @param fileId 文件id
     * @return 结果
     */
    public int updatePushTimes(Long fileId);

    /**
     * 查询我的文件列表
     *
     * @param iitFileInfo 文件管理
     * @return 文件管理集合
     */
    public List<IitFileInfo> selectMyselfList(IitFileInfo iitFileInfo);
}
